package com.skr.mdm.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.skr.mdm.bean.vo.appstore.AppConfigVO;
import com.skr.mdm.entity.AppStrategyConfigDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface AppStrategyConfigDao extends BaseMapper<AppStrategyConfigDO> {


    int insertSelective(AppStrategyConfigDO record);


    int updateByPrimaryKeySelective(AppStrategyConfigDO record);


	void insertAppStrategyList(@Param("list") List<AppConfigVO> list, @Param("appStrategyId") Integer appStrategyId, @Param("appStrategyTyep") Integer appStrategyTyep);

	List<AppConfigVO>  selectAppConfigListByAppStrategyId(@Param("strategyId") Integer strategyId, @Param("appStrategyType") Integer appStrategyType);

	List<String> selectAppNameAndPackageByAppStrategyId(@Param("appStrategyId") Integer appStrategyId, @Param("appStrategyType") Integer appStrategyType);

	List<Integer> queryStrategyId(@Param("searchValue") String searchValue, @Param("appConfigTypes") Object appConfigTypes, @Param("queryState") Integer queryState);
}